View Issue Details

IDProjectCategoryView StatusLast Update
0002812PathFeaturepublic2020-12-01 11:25
Reportersliptonic Assigned Tosliptonic  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0002812: Dressup to remap gcode based on probe data.
DescriptionA touchprobe can be used to scan a surface and generate a series of points corresponding to the Z depth.

An existing path can then be re-processed with a dressup to map the gcode to the approximated surface.
Two pieces need to be written:
Capture probe data:
==============
A FreeCAD feature should be written to generate the probe file. It would take as input:
1) A selected path. From this it would get the boundbox and determine the XY limits.
2) #points in X
3) #points in Y.
4) distance to probe in Z.
5) name for the probe results file.

From this, a gcode file would be generated to probe the grid and write results to a file.

Reprocess a path using probe data
===========================
A dressup should be written to take as input a probe file and then map the path to the probed surface data by adjusting the Z depth of each move appropriately using bilinear interpolation.
Additional Informationhttp://www.linuxcnc.org/docs/2.4/html/gcode_main.html#sub:Probe-Logging

This feature is implemented in gcode ripper. http://www.scorchworks.com/Blog/auto-probing-with-g-code-ripper/
https://en.wikipedia.org/wiki/Bilinear_interpolation
TagsNo tags attached.
FreeCAD Information

Activities

sliptonic

2017-11-28 00:39

manager   ~0010484

moving feature request to 0.18 target

sliptonic

2020-10-06 22:40

manager   ~0014779

This was implemented as the z depth correction dressup and probe supplemental command.

Kunda1

2020-10-17 10:24

administrator   ~0014899

commits associated with fix?

sliptonic

2020-10-17 16:26

manager   ~0014903

https://github.com/FreeCAD/FreeCAD/pull/3126

Kunda1

2020-12-01 11:24

administrator   ~0015033

FreeCAD master 2b52285e

Kunda1

2020-12-01 11:25

administrator   ~0015034

Associated commit with ticket in mantis. Closing ticket.

Related Changesets

FreeCAD: master 2b52285e

2020-03-27 15:20:29

sliptonic


Committer: GitHub Details Diff
Merge pull request 0003126 from sliptonic/feature/dressupZCorrect

Path: Feature/dressup z correct
Affected Issues
0002812
mod - src/Mod/Path/CMakeLists.txt Diff File
mod - src/Mod/Path/Gui/Resources/Path.qrc Diff File
add - src/Mod/Path/Gui/Resources/icons/Path-Probe.svg Diff File
add - src/Mod/Path/Gui/Resources/panels/PageOpProbeEdit.ui Diff File
add - src/Mod/Path/Gui/Resources/panels/ZCorrectEdit.ui Diff File
mod - src/Mod/Path/InitGui.py Diff File
add - src/Mod/Path/PathScripts/PathDressupZCorrect.py Diff File
mod - src/Mod/Path/PathScripts/PathGeom.py Diff File
mod - src/Mod/Path/PathScripts/PathGuiInit.py Diff File
add - src/Mod/Path/PathScripts/PathProbe.py Diff File
add - src/Mod/Path/PathScripts/PathProbeGui.py Diff File
mod - src/Mod/Path/PathScripts/PathSelection.py Diff File
mod - src/Mod/Path/PathScripts/PathSetupSheetOpPrototype.py Diff File
mod - src/Mod/Path/PathScripts/PathSetupSheetOpPrototypeGui.py Diff File

Issue History

Date Modified Username Field Change
2016-12-05 21:47 sliptonic New Issue
2017-11-28 00:39 sliptonic Product Version 0.17 =>
2017-11-28 00:39 sliptonic Target Version 0.17 => 0.18
2017-11-28 00:39 sliptonic Note Added: 0010484
2017-11-28 00:40 sliptonic Severity minor => feature
2019-01-22 05:21 sliptonic Assigned To => sliptonic
2019-01-22 05:21 sliptonic Status new => assigned
2019-01-22 05:21 sliptonic Product Version => 0.19
2019-01-22 05:21 sliptonic Target Version 0.18 => 0.19
2020-10-06 22:40 sliptonic Status assigned => resolved
2020-10-06 22:40 sliptonic Resolution open => fixed
2020-10-06 22:40 sliptonic Note Added: 0014779
2020-10-17 10:24 Kunda1 Note Added: 0014899
2020-10-17 16:26 sliptonic Note Added: 0014903
2020-12-01 11:24 Kunda1 Note Added: 0015033
2020-12-01 11:24 Kunda1 Changeset attached => FreeCAD master 2b52285e
2020-12-01 11:25 Kunda1 Status resolved => closed
2020-12-01 11:25 Kunda1 Fixed in Version => 0.19
2020-12-01 11:25 Kunda1 Note Added: 0015034